How do you set up an old version of node.js and modules?



  • The node.js and the various modules of the 2014 version should be installed on the server. Got all the necessary versions on Github'e, but how do you put them right?



  • To manage versions Node.js is very comfortable https://github.com/creationix/nvm (for vinda, there's a slightly less functional analogue). You may immediately set up a few versions of Node.js and switch between them if you wish:

    nvm use 4.4.7 Now using node v4.4.7

    In order to establish a certain version of the modules, just indicate the relevant versions in the file. https://docs.npmjs.com/files/package.json#dependencies ♪ If you're setting the modules with a parameter --save, these modules are described in the package.json, there's a good version of the module, and then you can do it. npm update

    npm install modulename --save
    

    package.json:

    {
      "dependencies": {
        "modulename1": "0.11.2",
        "modulename2": "^1.4.1"
      }
    }
    

Log in to reply
 


Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2